using System;
using System.Collections.Generic;
using System.Text;
using HOL1.Model;

namespace HOL1.CustomerListView
{
    class CustomerListPresenter
    {
        private CustomerListControl customerListView;
        public CustomerListControl View
        {
            get { return customerListView; }
        }

        private CustomerList customerList;

        public CustomerList CustomerList
        {
            get { return customerList; }
            set { customerList = value; }
        }


        public CustomerListPresenter(CustomerListControl customerListControl)
        {
            this.customerListView = customerListControl;
        }

        public void RefreshView()
        {
            foreach (Customer customer in this.customerList)
            {
                customerListView.AddCustomer(customer);
            }
        }

        
    }
}
